<?php
class zen_html {
	/**
	* Clase plantilla utilizada para mostrar el HTML
	*
	* @var zen_plantilla
	*/
	var $plantilla;
	/**
	 * La aplicación padre
	 *
	 * @var zen
	 */
	var $padre;
	/**
	 * Plantilla HTML a usar por defecto
	 *
	 * @var str
	 */
	var $fichero_base_html ='base_web.html';
	/**
	 * Constructor del visualizador por defecto
	 *
	 * @param zen $_padre
	 * @return zen_html
	 */
	function zen_html(&$_padre){
		$this->padre =& $_padre;
		if (zen___carga_clase('zen_plantilla'))
			$this->plantilla =& new zen_plantilla();
	}
	
	/**
	 * Muestra el $contenido 
	 *
	 * @param array $contenido
	 */
	function mostrar(&$contenido,$fichero_base=""){
		/** TODO: Reemplazar el echo por varios que vayan cortándolo para hacerlo más eficiente */
		if (!is_array($contenido)) $contenido = serialize($contenido);
		$contenido['ZF_SITIO_WEB'] = ZF_SITIO_WEB;
		echo $this->plantilla->contenido_reemplaza(empty($fichero_base)?$this->fichero_base_html:$fichero_base,$contenido);
	}
	/**
	 * Controlador por defecto
	 *
	 */
	function index(){
		$this->mostrar($this->padre->contenido);
	}
}
?>